Page MenuHomePhabricator

Add full list of URL to purge to urls-to-purge.txt
Closed, ResolvedPublic

Description

To prevent caching issues, a full list of asset urls should be provided in urls-to-purge.txt instead of just https://www.wikipedia.org/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2017, 8:59 PM
mxn added a subscriber: mxn.Feb 23 2017, 12:37 AM
debt triaged this task as High priority.Mar 3 2017, 4:04 PM
debt added projects: Discovery, Wikimedia-Portals.

Change 341379 had a related patch set uploaded (by jdrewniak):
[wikimedia/portals] Add all portal asset URLs to urls-to-purge.txt

https://gerrit.wikimedia.org/r/341379

@demon, @greg, @Gehel, @Krinkle, @MaxSem please say if that's okay or not.

urls-to-purge.txt currently is:

https://www.wikipedia.org/

Now with the proposition above, urls-to-purge.txt will look like:

https://www.wikibooks.org/
https://www.wikimedia.org/
https://www.wikinews.org/
https://www.wikipedia.org/
https://www.wikiquote.org/
https://www.wikiversity.org/
https://www.wikivoyage.org/
https://www.wiktionary.org/
https://www.wikipedia.org/portal/wikipedia.org/assets/img/Wikipedia-logo-v2.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/Wikipedia-logo-v2@1.5x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/Wikipedia-logo-v2@2x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/Wikipedia_wordmark.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/Wikipedia_wordmark@1.5x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/Wikipedia_wordmark@2x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/noimage.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/noimage.svg
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-bookshelf_icons.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-bookshelf_icons@1.5x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-bookshelf_icons@2x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-icons.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-icons@1.5x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-icons@2x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-project-logos.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-project-logos@1.5x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/img/sprite-project-logos@2x.png
https://www.wikipedia.org/portal/wikipedia.org/assets/js/gt-ie9-011f8dbfa9.js
https://www.wikipedia.org/portal/wikipedia.org/assets/js/index-2a2de10aa7.js
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ab-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ace-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/af-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ak-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/als-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/am-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/an-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ang-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ar-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/arc-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/arz-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/as-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ast-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/av-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ay-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/az-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/azb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ba-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bar-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bat-smg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bcl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/be-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bh-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bjn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bm-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bpy-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/br-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bs-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bug-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/bxr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ca-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cbk-zam-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cdo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ce-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ceb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ch-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/chr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/chy-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ckb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/co-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/crh-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cs-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/csb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/cy-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/da-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/de-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/diq-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/dsb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/dv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/dz-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ee-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/el-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/eml-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/en-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/eo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/es-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/et-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/eu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ext-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fa-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ff-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fiu-vro-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fj-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/frp-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/frr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fur-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/fy-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ga-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gag-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gan-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gd-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/glk-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gom-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/got-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/gv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ha-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hak-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/haw-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/he-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hif-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hsb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ht-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/hy-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ia-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/id-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ie-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ig-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ik-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ilo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/io-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/is-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/it-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/iu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ja-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/jbo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/jv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ka-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kaa-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kab-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kbd-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ki-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kk-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/km-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ko-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/koi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/krc-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ks-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ksh-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ku-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/kw-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ky-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/la-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lad-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lbe-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lez-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/li-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lij-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lmo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ln-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lrc-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lt-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ltg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/lv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mai-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/map-bms-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mdf-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mhr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/min-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mk-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ml-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mrj-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ms-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mt-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mwl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/my-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/myv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/mzn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/na-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nah-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nan-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nap-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nds-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nds-nl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ne-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/new-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nov-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nrm-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nso-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/nv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ny-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/oc-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/om-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/or-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/os-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pa-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pag-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pam-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pap-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pcd-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pdc-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pfl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pih-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pms-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pnb-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pnt-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ps-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/pt-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/qu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/rm-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/rmy-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/rn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ro-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/roa-rup-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/roa-tara-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ru-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/rue-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/rw-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sa-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sah-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sc-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/scn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sco-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sd-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/se-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sh-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/si-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/simple-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sk-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sm-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/so-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sq-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/srn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ss-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/st-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/stq-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/su-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/sw-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/szl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ta-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/te-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tet-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tg-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/th-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ti-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tk-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tl-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tn-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/to-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tpi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tr-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ts-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tt-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tum-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tw-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ty-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/tyv-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/udm-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ug-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/uk-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ur-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/uz-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/ve-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/vec-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/vep-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/vi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/vls-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/vo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/wa-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/war-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/wo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/wuu-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/xal-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/xh-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/xmf-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/yi-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/yo-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/za-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/zea-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/zh-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/zh-classical-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/zh-yue-25b4fa01.json
https://www.wikipedia.org/portal/wikipedia.org/assets/l10n/zu-25b4fa01.json

For the record sync-portals is:

#!/bin/bash

set -e

scap sync-dir portals/prod/wikipedia.org/assets $*
scap sync-dir portals $*

# purgeList is called from from /srv/mediawiki-staging and not /srv/mediawiki
# to get an up-to-date version of the code and the config. That avoids any
# notice or error when there are config changes.
export MEDIAWIKI_STAGING_DIR=/srv/mediawiki-staging
cat /srv/mediawiki-staging/portals/urls-to-purge.txt | mwscript purgeList.php

Do you have a script to repopulate this list?

demon added a comment.Mar 8 2017, 12:52 AM

Do you have a script to repopulate this list?

Or rather than relying on a static list, make the script generate the list itself and just pass that to purgeList?

Or rather than relying on a static list, make the script generate the list itself and just pass that to purgeList?

The portal has a build script, it could just do that too.

Change 341379 merged by jenkins-bot:
[wikimedia/portals] Add all portal asset URLs to urls-to-purge.txt

https://gerrit.wikimedia.org/r/341379

debt closed this task as Resolved.Mar 15 2017, 7:33 PM